LibreOffice: XSingleLayerStratum Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSingleLayerStratum Interface Referencepublished

Handles access to a stratum consisting of a single layer in a configuration data repository. More...

`import <XSingleLayerStratum.idl;`

Inheritance diagram for XSingleLayerStratum:

## Public Member Functions
XLayer | getLayer ([in] string aComponent, [in] string aTimestamp) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layer data for a component, if newer than indicated.
XUpdatableLayer | getUpdatableLayer ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| retrieves a writable representation of the layer for a component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Handles access to a stratum consisting of a single layer in a configuration data repository.

The interface provides timestamp-checking capabilities for efficient caching.

See also
  com::sun::star::util::XTimeStamped
  com::sun::star::configuration::backend::XSchemaSupplier
  com::sun::star::configuration::backend::XMultiLayerStratum

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getLayer()

XLayer getLayer | ( | [in] string | aComponent,
|  | [in] string | aTimestamp )
raises | ( | BackendAccessException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

retrieves the layer data for a component, if newer than indicated.

A timestamp can be provided, which is used to indicate a point in time. The layer should be returned only if is modified since that time.

Parameters

  aComponent | The name of the component to access.
  aTimestamp | a timestamp for the layer.

An empty timestamp indicates, that the layer should be retrieved irrespective of its modification time.

The format and meaning of a timestamp depends on the implementation. Timestamps can be obtained using com::sun::star::util::XTimeStamped::getTimestamp().

Returns
  a Layer object providing access to the layer data, `NULL` if the layer is newer than indicated by the timestamp.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid or if the timestamp is invalid.
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the data.

See also
  com::sun::star::util::XTimeStamped

## ◆ getUpdatableLayer()

XUpdatableLayer getUpdatableLayer | ( | [in] string | aComponent | ) |
raises | ( | BackendAccessException,
|  | com::sun::star::lang::NoSupportException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

retrieves a writable representation of the layer for a component.

Parameters

  aComponent | The name of the component to access.

Returns
  an UpdatableLayer object providing write access to the layer

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid.
  com::sun::star::lang::NoSupportException | if the implementation does not support updates.
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the data.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XSingleLayerStratum.idl